require 'spec_helper'
require 'pry'

describe LintCI::Rubocop::CLI do
  describe '#lint' do
    context 'when config flag is present' do
      it 'delegates to rubocop with expected arguments' do
        expect_any_instance_of(RuboCop::CLI).to receive(:run).with([
          '--format', 'LintCI::Rubocop::Formatter',
          '--no-color',
          '--config', '.rubocop.yml',
          'good.rb', 'bad.rb'
        ])

        LintCI::Rubocop::CLI.start(['lint', '--config', '.rubocop.yml', 'good.rb', 'bad.rb'])
      end
    end

    context 'when config flag is not present' do
      it 'delegates to rubocop with expected arguments' do
        expect_any_instance_of(RuboCop::CLI).to receive(:run).with([
          '--format', 'LintCI::Rubocop::Formatter',
          '--no-color',
          'good.rb', 'bad.rb'
        ])

        LintCI::Rubocop::CLI.start(['lint', 'good.rb', 'bad.rb'])
      end
    end
  end
end
