require 'spec_helper'

describe LintCI::Rubocop::CLI do
  describe 'lint' do
    around(:each) do |example|
      $stdout, out = StringIO.new, $stdout
      $stderr, err = StringIO.new, $stderr

      example.run

      $stdout, $stderr = out, err
    end

    let(:file){File.expand_path('../../../fixtures/bad.rb', __FILE__)}
    let(:output){$stdout.string + $stderr.string}

    it 'generates the expected output' do
      LintCI::Rubocop::CLI.start(['lint', file])

      expect(output).to eq(
        "#{file}:1:1:5:Style/Documentation:convention:Missing top-level class documentation comment.\n"\
        "#{file}:2:7:4:Style/MethodName:convention:Use snake_case for methods.\n"
      )
    end
  end
end
